diff -ruN ../nakedmudv3.7/src/scripts/pymudsys.c src/scripts/pymudsys.c
--- ../nakedmudv3.7/src/scripts/pymudsys.c	2008-12-06 00:20:20.000000000 -0500
+++ src/scripts/pymudsys.c	2009-03-02 01:00:40.000000000 -0500
@@ -18,6 +18,7 @@
 #include "../account.h"
 #include "../storage.h"
 #include "../world.h"
+#include "../zone.h"
 
 #include "pymudsys.h"
 #include "scripts.h"
@@ -40,6 +41,7 @@
 #endif
 
 
+
 //*****************************************************************************
 // local variables and functions
 //*****************************************************************************
@@ -50,6 +52,15 @@
 // a list of methods to add to the mudsys module
 LIST *pymudsys_methods = NULL;
 
+// a placeholder of the movement command, as set by one of our modules
+PyObject *py_cmd_move = NULL;
+
+// a list of checks that need to be performed before movement
+LIST *py_move_checks = NULL;
+
+// a list of default movement commands
+LIST *dflt_move_cmds = NULL;
+
 
 
 //*****************************************************************************
@@ -124,7 +135,10 @@
   // if it's the first player, give him all priviledges
   if(charGetUID(ch) == 1)
     bitSet(charGetUserGroups(ch),
-	   "admin, builder, scripter, player, playtester");
+	   "admin, wizard, builder, scripter, player, playtester");
+
+  // make sure we'll load back into the same room we were saved in
+  charSetLoadroom(ch, START_ROOM);
 
   char_exist(ch);
   return Py_BuildValue("O", charGetPyFormBorrowed(ch));
@@ -392,9 +406,9 @@
     charSetSocket(ch, NULL);
     socketSetChar(sock, NULL);
     socketPopInputHandler(sock);
-    extract_mobile(ch);
   }
 
+  extract_mobile(ch);
   return Py_BuildValue("i", 1);
 }
 
@@ -572,9 +586,9 @@
   if(PyFunction_Check(func)) {
     add_py_cmd(name, sort_by, func, group, interrupts);
 #ifdef MODULE_HELP2
-    if(get_help(name,FALSE) == NULL && 
+    if(get_help(name,FALSE)==NULL && 
        ((PyFunctionObject*)func)->func_doc != NULL &&
-       PyString_Check(((PyFunctionObject*)func)->func_doc)) {
+       PyString_Check(((PyFunctionObject*)func)->func_doc)){
       BUFFER *buf = newBuffer(1);
       bufferCat(buf, PyString_AsString(((PyFunctionObject*)func)->func_doc));
       bufferFormat(buf, SCREEN_WIDTH, 0);
@@ -585,7 +599,7 @@
 #endif
   }
 
-  return Py_BuildValue("O", Py_None);
+  return Py_BuildValue("");
 }
 
 //
@@ -604,8 +618,9 @@
   }
 
   // add the command to the game
-  add_py_cmd_check(name, func);
-  return Py_BuildValue("O", Py_None);
+  if(PyFunction_Check(func))
+    add_py_cmd_check(name, func);
+  return Py_BuildValue("");
 }
 
 //
@@ -617,7 +632,9 @@
     PyErr_Format(PyExc_TypeError, "function requires string argument.");
     return NULL;
   }
-  remove_cmd(name);
+  CMD_DATA *cmd = remove_cmd(name);
+  if(cmd != NULL)
+    deleteCmd(cmd);
   return Py_BuildValue("O", Py_None);
 }
 
@@ -669,6 +686,70 @@
   return Py_BuildValue("i", 1);
 }
 
+PyObject *mudsys_set_cmd_move(PyObject *self, PyObject *args) {
+  PyObject *cmd = NULL;
+  if(!PyArg_ParseTuple(args, "O", &cmd)) {
+    PyErr_Format(PyExc_TypeError, "a command must be suppled");
+    return NULL;
+  }
+
+  // make sure it's a function
+  if(!PyFunction_Check(cmd)) {
+    PyErr_Format(PyExc_TypeError, "a command must be suppled");
+    return NULL;
+  }
+
+  Py_XDECREF(py_cmd_move);
+  py_cmd_move = cmd;
+  Py_XINCREF(cmd);
+  return Py_BuildValue("i", 1);
+}
+
+PyObject *mudsys_register_dflt_move_cmd(PyObject *self, PyObject *args) {
+  char *cmd = NULL;
+  if(!PyArg_ParseTuple(args, "s", &cmd)) {
+    PyErr_Format(PyExc_TypeError, "a command name must be supplied.");
+    return NULL;
+  }
+
+  listPut(dflt_move_cmds, strdupsafe(cmd));
+
+  // add all of our default movement checks
+  LIST_ITERATOR *chk_i = newListIterator(py_move_checks);
+  PyObject        *chk = NULL;
+  ITERATE_LIST(chk, chk_i) {
+    add_py_cmd_check(cmd, chk);
+  } deleteListIterator(chk_i);
+
+  return Py_BuildValue("i", 1);
+}
+
+PyObject *mudsys_register_move_check(PyObject *self, PyObject *args) {
+  PyObject *check = NULL;
+  if(!PyArg_ParseTuple(args, "O", &check)) {
+    PyErr_Format(PyExc_TypeError, "a check must be suppled");
+    return NULL;
+  }
+
+  // make sure it's a function
+  if(!PyFunction_Check(check)) {
+    PyErr_Format(PyExc_TypeError, "a function must be suppled");
+    return NULL;
+  }
+
+  // add it to all of our default movement commands
+  LIST_ITERATOR *dir_i = newListIterator(dflt_move_cmds);
+  char            *dir = NULL;
+  ITERATE_LIST(dir, dir_i) {
+    add_py_cmd_check(dir, check);
+  } deleteListIterator(dir_i);
+
+  // now keep track of it for all of our special movement commands
+  Py_XINCREF(check);
+  listQueue(py_move_checks, check);
+  return Py_BuildValue("i", 1);
+}
+
 
 
 //*****************************************************************************
@@ -725,6 +806,122 @@
   return mudsys_gen_add_method(&PyAccount_Type, args);
 }
 
+LIST *pychar_see_checks = NULL;
+LIST *pyobj_see_checks  = NULL;
+LIST *pyexit_see_checks = NULL;
+
+bool pycan_see_char(CHAR_DATA *ch, CHAR_DATA *target) {
+  bool ret = TRUE;
+  if(pychar_see_checks != NULL) {
+    PyObject       *pych = charGetPyFormBorrowed(ch);
+    PyObject   *pytarget = charGetPyFormBorrowed(target);
+    LIST_ITERATOR *chk_i = newListIterator(pychar_see_checks);
+    PyObject        *chk = NULL;
+    ITERATE_LIST(chk, chk_i) {
+      PyObject *pyret = PyObject_CallFunction(chk, "OO", pych, pytarget);
+      if(pyret == NULL)
+	log_pyerr("Error evaluating char cansee check");
+      else if(!PyObject_IsTrue(pyret))
+	ret = FALSE;
+
+      Py_XDECREF(pyret);
+      if(ret == FALSE)
+	break;
+    } deleteListIterator(chk_i);
+  }
+  return ret;
+}
+
+bool pycan_see_obj(CHAR_DATA *ch, OBJ_DATA *target) {
+  bool ret = TRUE;
+  if(pyobj_see_checks != NULL) {
+    PyObject       *pych = charGetPyFormBorrowed(ch);
+    PyObject   *pytarget = objGetPyFormBorrowed(target);
+    LIST_ITERATOR *chk_i = newListIterator(pyobj_see_checks);
+    PyObject        *chk = NULL;
+    ITERATE_LIST(chk, chk_i) {
+      PyObject *pyret = PyObject_CallFunction(chk, "OO", pych, pytarget);
+      if(pyret == NULL)
+	log_pyerr("Error evaluating obj cansee check");
+      else if(!PyObject_IsTrue(pyret))
+	ret = FALSE;
+
+      Py_XDECREF(pyret);
+      if(ret == FALSE)
+	break;
+    } deleteListIterator(chk_i);
+  }
+  return ret;
+}
+
+bool pycan_see_exit(CHAR_DATA *ch, EXIT_DATA *target) {
+  bool ret = TRUE;
+  if(pyexit_see_checks != NULL) {
+    PyObject       *pych = charGetPyFormBorrowed(ch);
+    PyObject   *pytarget = newPyExit(target);
+    LIST_ITERATOR *chk_i = newListIterator(pyexit_see_checks);
+    PyObject        *chk = NULL;
+    ITERATE_LIST(chk, chk_i) {
+      PyObject *pyret = PyObject_CallFunction(chk, "OO", pych, pytarget);
+      if(pyret == NULL)
+	log_pyerr("Error evaluating exit cansee check");
+      else if(!PyObject_IsTrue(pyret))
+	ret = FALSE;
+
+      Py_XDECREF(pyret);
+      if(ret == FALSE)
+	break;
+    } deleteListIterator(chk_i);
+    Py_DECREF(pytarget);
+  }
+  return ret;
+}
+
+PyObject *mudsys_register_char_cansee(PyObject *self, PyObject *args) {
+  PyObject *check = NULL;
+  if(!PyArg_ParseTuple(args, "O", &check)) {
+    PyErr_Format(PyExc_TypeError, "Error parsing new character see check.");
+    return NULL;
+  }
+
+  if(pychar_see_checks == NULL)
+    pychar_see_checks = newList();
+  Py_INCREF(check);
+  listPut(pychar_see_checks, check);
+
+  return Py_BuildValue("O", Py_None);
+}
+
+PyObject *mudsys_register_obj_cansee(PyObject *self, PyObject *args) {
+  PyObject *check = NULL;
+  if(!PyArg_ParseTuple(args, "O", &check)) {
+    PyErr_Format(PyExc_TypeError, "Error parsing new object see check.");
+    return NULL;
+  }
+
+  if(pyobj_see_checks == NULL)
+    pyobj_see_checks = newList();
+  Py_INCREF(check);
+  listPut(pyobj_see_checks, check);
+
+  return Py_BuildValue("O", Py_None);
+}
+
+PyObject *mudsys_register_exit_cansee(PyObject *self, PyObject *args) {
+  PyObject *check = NULL;
+  if(!PyArg_ParseTuple(args, "O", &check)) {
+    PyErr_Format(PyExc_TypeError, "Error parsing new exit see check.");
+    return NULL;
+  }
+
+  if(pyexit_see_checks == NULL)
+    pyexit_see_checks = newList();
+  Py_INCREF(check);
+  listPut(pyexit_see_checks, check);
+
+  return Py_BuildValue("O", Py_None);
+}
+
 
 
 //*****************************************************************************
@@ -817,6 +1014,7 @@
     return NULL;
   }
 
+  Py_XINCREF(entry);
   worldPutType(gameworld, type, key, entry);
   return Py_BuildValue("i", 1);
 }
@@ -851,6 +1049,58 @@
   return ret;
 }
 
+PyObject *mudsys_create_bitvector(PyObject *self, PyObject *args) {
+  return Py_BuildValue("");
+}
+
+PyObject *mudsys_create_bit(PyObject *self, PyObject *args) {
+  char *vector = NULL;
+  char    *bit = NULL;
+
+  if(!PyArg_ParseTuple(args, "ss", &vector, &bit)) {
+    PyErr_Format(PyExc_TypeError, 
+		 "Error parsing vector and bit for create_bit.");
+    return NULL;
+  }
+  
+  bitvectorAddBit(vector, bit);
+  return Py_BuildValue("O", Py_True);
+}
+
+PyObject *mudsys_next_uid(PyObject *self, void *closure) {
+  return Py_BuildValue("i", next_uid());
+}
+
+
+PyObject *mudsys_list_zone_contents(PyObject *self, PyObject *args) {
+  char *zonekey = NULL;
+  char    *type = NULL;
+
+  if(!PyArg_ParseTuple(args, "ss", &zonekey, &type)) {
+    PyErr_Format(PyExc_TypeError, 
+		 "a zone name and content type must be supplied.");
+    return NULL;
+  }
+
+  // make sure the zone exists
+  ZONE_DATA *zone = worldGetZone(gameworld, zonekey);
+  if(zone == NULL)
+    return PyList_New(0);
+  else {
+    LIST           *keys = zoneGetTypeKeys(zone, type);
+    LIST_ITERATOR *key_i = newListIterator(keys);
+    PyObject        *ret = PyList_New(0);
+    char            *key = NULL;
+    ITERATE_LIST(key, key_i) {
+      PyObject *str = Py_BuildValue("s", key);
+      PyList_Append(ret, str);
+      Py_XDECREF(str);
+    } deleteListIterator(key_i);
+    deleteListWith(keys, free);
+    return ret;
+  }
+}
+
 
 
 //*****************************************************************************
@@ -872,6 +1122,15 @@
 
 PyMODINIT_FUNC
 init_PyMudSys(void) {
+  // local variables
+  py_move_checks = newList();
+  dflt_move_cmds = newList();
+
+  // add in hooks to the main MUD
+  register_char_see(pycan_see_char);
+  register_obj_see(pycan_see_obj);
+  register_exit_see(pycan_see_exit);
+
   // add all of our methods
   PyMudSys_addMethod("do_shutdown", mudsys_shutdown, METH_VARARGS,
 		     "shuts the mud down.");
@@ -881,6 +1140,10 @@
 		     "sets a system value on the mud.");
   PyMudSys_addMethod("sys_getval", mudsys_get_sys_val, METH_VARARGS,
 		     "returns a system value on the mud.");
+  PyMudSys_addMethod("sys_getvar", mudsys_get_sys_val, METH_VARARGS,
+		     "returns a system value on the mud.");
+  PyMudSys_addMethod("sys_setvar", mudsys_set_sys_val, METH_VARARGS,
+		     "sets a system value on the mud.");
   PyMudSys_addMethod("player_exists", mudsys_player_exists, METH_VARARGS,
 		     "returns whether a player with the name exists.");
   PyMudSys_addMethod("account_exists", mudsys_account_exists, METH_VARARGS,
@@ -958,6 +1221,29 @@
   PyMudSys_addMethod("world_remove_type", mudsys_world_remove_type,METH_VARARGS,
 		     "Removes a type, and returns a reference to it, or None "
 		     "if it does not exist.");
+  PyMudSys_addMethod("register_char_cansee", mudsys_register_char_cansee,
+		     METH_VARARGS, "Register a new check of whether one "
+		     "character can see another.");
+  PyMudSys_addMethod("register_obj_cansee", mudsys_register_obj_cansee,
+		     METH_VARARGS, "Register a new check of whether a "
+		     "character can see an object.");
+  PyMudSys_addMethod("register_exit_cansee", mudsys_register_exit_cansee,
+		     METH_VARARGS, "Register a new check of whether a char "
+		     "can see an exit.");
+  PyMudSys_addMethod("set_cmd_move", mudsys_set_cmd_move, METH_VARARGS,
+		     "sets the movement command.");
+  PyMudSys_addMethod("register_dflt_move_cmd", mudsys_register_dflt_move_cmd, 
+		     METH_VARARGS, "registers a new default movement command.");
+  PyMudSys_addMethod("register_move_check",mudsys_register_move_check,
+		     METH_VARARGS,"register new check to perform a movement.");
+  PyMudSys_addMethod("create_bitvector", mudsys_create_bitvector,
+		     METH_VARARGS,"creates a new type of bitvector."); 
+  PyMudSys_addMethod("create_bit", mudsys_create_bit,
+		     METH_VARARGS,"creates a new bit on the specified bitvector."); 
+  PyMudSys_addMethod("next_uid", mudsys_next_uid, METH_NOARGS,
+		     "returns the next available uid.");
+  PyMudSys_addMethod("list_zone_contents", mudsys_list_zone_contents, 
+		     METH_VARARGS, "returns a list of the contents of the given type, for the specified zone.");
 
   Py_InitModule3("mudsys", makePyMethods(pymudsys_methods),
 		 "The mudsys module, for all MUD system utils.");
@@ -965,3 +1251,11 @@
   worldtypes = PyDict_New();
   Py_INCREF(worldtypes);
 }
+
+void *get_cmd_move(void) {
+  return py_cmd_move;
+}
+
+LIST *get_move_checks(void) {
+  return py_move_checks;
+}
diff -ruN ../nakedmudv3.7/src/scripts/pymudsys.h src/scripts/pymudsys.h
--- ../nakedmudv3.7/src/scripts/pymudsys.h	2008-05-31 00:17:59.000000000 -0400
+++ src/scripts/pymudsys.h	2009-03-02 01:00:40.000000000 -0500
@@ -21,4 +21,12 @@
 // new methods, see pymud.c
 void PyMudSys_addMethod(const char *name, void *f, int flags, const char *doc);
 
+//
+// returns the current defined cmd_move
+void *get_cmd_move(void);
+
+//
+// returns a list of checks that must be performed before moving
+LIST *get_move_checks(void);
+
 #endif //__PYMUD_H
diff -ruN ../nakedmudv3.7/src/scripts/pyobj.c src/scripts/pyobj.c
--- ../nakedmudv3.7/src/scripts/pyobj.c	2008-12-06 00:20:20.000000000 -0500
+++ src/scripts/pyobj.c	2009-03-02 01:00:40.000000000 -0500
@@ -27,6 +27,7 @@
 #include "pyroom.h"
 #include "pyobj.h"
 #include "pyauxiliary.h"
+#include "pystorage.h"
 
 
 
@@ -171,6 +172,24 @@
   else            return NULL;
 }
 
+PyObject *PyObj_gethidden(PyObject *self, void *closure) {
+  OBJ_DATA *obj = PyObj_AsObj(self);
+  if(obj != NULL) return Py_BuildValue("i", objGetHidden(obj));
+  else            return NULL;  
+}
+
+PyObject *PyObj_getbirth(PyObject *self, void *closure) {
+  OBJ_DATA *obj = PyObj_AsObj(self);
+  if(obj != NULL) return Py_BuildValue("i", objGetBirth(obj));
+  else            return NULL;  
+}
+
+PyObject *PyObj_getage(PyObject *self, void *closure) {
+  OBJ_DATA *obj = PyObj_AsObj(self);
+  if(obj != NULL) return Py_BuildValue("d", difftime(current_time, objGetBirth(obj)));
+  else            return NULL;  
+}
+
 PyObject *PyObj_getcontents(PyObj *self, PyObject *args) {
   OBJ_DATA *obj = PyObj_AsObj((PyObject *)self);
   if(obj == NULL) 
@@ -216,6 +235,15 @@
   return Py_BuildValue("O", charGetPyFormBorrowed(objGetCarrier(obj)));
 }
 
+PyObject *PyObj_getwearer(PyObj *self, void *closure) {
+  OBJ_DATA *obj = PyObj_AsObj((PyObject *)self);
+  if(obj == NULL)
+    return NULL;
+  if(objGetWearer(obj) == NULL)
+    return Py_BuildValue("O", Py_None);
+  return Py_BuildValue("O", charGetPyFormBorrowed(objGetWearer(obj)));
+}
+
 PyObject *PyObj_getroom(PyObj *self, void *closure) {
   OBJ_DATA *obj = PyObj_AsObj((PyObject *)self);
   if(obj == NULL)
@@ -414,6 +442,24 @@
   return 0;
 }
 
+int PyObj_sethidden(PyObject *self, PyObject *value, void *closure) {
+  OBJ_DATA *obj = NULL;
+  PYOBJ_CHECK_OBJ_EXISTS(PyObj_AsUid(self), obj);
+
+  if(value == NULL || value == Py_None)
+    objSetHidden(obj, 0);
+  else if(PyInt_Check(value))
+    objSetHidden(obj, PyInt_AsLong(value));
+  else {
+    PyErr_Format(PyExc_TypeError,
+		"Tried to change obj %d's spot difficulty to an invalid type.",
+		 objGetUID(obj));
+    return -1;
+  }
+
+  return 0;
+}
+
 int PyObj_setcarrier(PyObj *self, PyObject *value, void *closure) {
   if (value == NULL) {
     PyErr_Format(PyExc_TypeError, "Cannot delete object's carrier");
@@ -421,8 +467,7 @@
   }
 
   if (!PyChar_Check(value)) {
-    PyErr_Format(PyExc_TypeError, 
-                    "Carrier must be a character!");
+    PyErr_Format(PyExc_TypeError, "Carrier must be a character!");
     return -1;
   }
 
@@ -791,6 +836,45 @@
   }
 }
 
+PyObject *PyObj_fromall(PyObject *self, void *closure) {
+  OBJ_DATA *obj = PyObj_AsObj(self);
+  if(obj == NULL) {
+    PyErr_Format(PyExc_TypeError, "Tried to fromall() nonexistant obj, %d",
+		 PyObj_AsUid(self));
+    return NULL;
+  }
+
+  // remove us from whatever we're currently in
+  if(objGetRoom(obj))
+    obj_from_room(obj);
+  if(objGetCarrier(obj))
+    obj_from_char(obj);
+  if(objGetContainer(obj))
+    obj_from_obj(obj);
+  if(objGetWearer(obj)) {
+    // weird... we couldn't unequip the item from the current wearer
+    if(!try_unequip(objGetWearer(obj), obj)) {
+      PyErr_Format(PyExc_StandardError, "Could not unequip previous wearer.");
+      return NULL;
+    }
+  }
+
+  return Py_BuildValue("");
+}
+
+PyObject *PyObj_store(PyObject *self, void *closure) {
+  OBJ_DATA *obj = PyObj_AsObj(self);
+  if(obj == NULL) {
+    PyErr_Format(PyExc_TypeError, "failed to store nonexistent object.");
+    return NULL;
+  }
+  PyObject *set = newPyStorageSet(objStore(obj));
+  PyObject *ret = Py_BuildValue("O", set);
+  Py_DECREF(set);
+  return ret;
+}
+
+
 
 
 //*****************************************************************************
@@ -845,13 +929,13 @@
 //*****************************************************************************
 PyObject *PyObj_load_obj(PyObject *self, PyObject *args) {
   char          *key = NULL;
-  PyObject       *in = NULL;
+  PyObject       *in = Py_None;
   ROOM_DATA    *room = NULL; // are we loading to a room?
   OBJ_DATA     *cont = NULL; // are we loading to a container?
   CHAR_DATA      *ch = NULL; // are we loading to a character?
   char     *equip_to = NULL; // are we trying to equip the character?
 
-  if (!PyArg_ParseTuple(args, "sO|s", &key, &in, &equip_to)) {
+  if (!PyArg_ParseTuple(args, "s|Os", &key, &in, &equip_to)) {
     PyErr_Format(PyExc_TypeError, 
 		 "Load obj failed - it needs a key and destination.");
     return NULL;
@@ -865,11 +949,11 @@
   else if(PyObj_Check(in))
     cont = propertyTableGet(obj_table, PyObj_AsUid(in));
   else if(PyChar_Check(in))
-      ch = propertyTableGet(mob_table, PyChar_AsUid(in));
+    ch = propertyTableGet(mob_table, PyChar_AsUid(in));
 
   // make sure a destination exists
-  if(room == NULL && cont == NULL && ch == NULL) {
-    PyErr_Format(PyExc_TypeError, 
+  if(room == NULL && cont == NULL && ch == NULL && in != Py_None) {
+    PyErr_Format(PyExc_TypeError,
 		 "Load obj failed: destination does not exist.");
     return NULL;
   }
@@ -1086,8 +1170,37 @@
   }
 }
 
+PyObject *PyObj_all_objs(PyObject *self) {
+  PyObject      *list = PyList_New(0);
+  LIST_ITERATOR *obj_i = newListIterator(object_list);
+  OBJ_DATA        *obj = NULL;
+  ITERATE_LIST(obj, obj_i) {
+    PyList_Append(list, objGetPyFormBorrowed(obj));
+  } deleteListIterator(obj_i);
+  return list;
+}
+
+PyObject *PyObj_read(PyObject *self, PyObject *args) {
+  PyObject *pyset = NULL;
+  if(!PyArg_ParseTuple(args, "O", &pyset)) {
+    PyErr_Format(PyExc_TypeError, "failed to read object from storage set.");
+    return NULL;
+  }
+  else if(!PyStorageSet_Check(pyset)) {
+    PyErr_Format(PyExc_TypeError, "storage set must be supplied to read.");
+    return NULL;
+  }
+
+  OBJ_DATA *obj = objRead(PyStorageSet_AsSet(pyset));
+  obj_to_game(obj);
+  return Py_BuildValue("O", objGetPyFormBorrowed(obj));
+}
 
 PyMethodDef obj_module_methods[] = {
+  { "read",     PyObj_read, METH_VARARGS,
+    "read an object from a storage set." },
+  { "obj_list", (PyCFunction)PyObj_all_objs, METH_NOARGS,
+    "Return a python list containing an entry for every object in game." },
   { "load_obj", PyObj_load_obj, METH_VARARGS,
     "load a object with the specified oproto to a room." },
   { "count_objs", PyObj_count_objs, METH_VARARGS,
@@ -1169,12 +1282,20 @@
 		       "the object's basic bitvector.");
     PyObj_addGetSetter("carrier", PyObj_getcarrier, PyObj_setcarrier,
 		       "the person carrying the object");
+    PyObj_addGetSetter("wearer", PyObj_getwearer, NULL,
+		       "the person wearing this object");
     PyObj_addGetSetter("room", PyObj_getroom, PyObj_setroom,
 		       "The room this object is in. "
 		       "None if on a character or in another object");
     PyObj_addGetSetter("container", PyObj_getcontainer, PyObj_setcontainer,
 		       "The container this object is in. "
 		       "None if on a character or in a room");
+    PyObj_addGetSetter("hidden", PyObj_gethidden, PyObj_sethidden,
+		       "integer value representing how hidden the object is.");
+    PyObj_addGetSetter("age", PyObj_getage, NULL,
+		       "how old, in seconds, are we");
+    PyObj_addGetSetter("birth", PyObj_getbirth, NULL,
+		       "when were we created");
 
     // methods
     PyObj_addMethod("attach", PyObj_attach, METH_VARARGS,
@@ -1187,6 +1308,8 @@
 		    "adds an extra description to the object.");
     PyObj_addMethod("getAuxiliary", PyObj_get_auxiliary, METH_VARARGS,
 		    "get's the specified piece of aux data from the obj");
+    PyObj_addMethod("aux", PyObj_get_auxiliary, METH_VARARGS,
+		    "get's the specified piece of aux data from the obj");
     PyObj_addMethod("getvar", PyObj_getvar, METH_VARARGS,
 		    "get the value of a special variable the object has.");
     PyObj_addMethod("setvar", PyObj_setvar, METH_VARARGS,
@@ -1197,6 +1320,10 @@
 		    "delete a variable from the object's variable table.");
     PyObj_addMethod("delvar", PyObj_deletevar, METH_VARARGS,
 		    "delete a variable from the object's variable table.");
+    PyObj_addMethod("fromall", PyObj_fromall, METH_NOARGS,
+		    "remove from room, character, and containers.");
+    PyObj_addMethod("store", PyObj_store, METH_NOARGS,
+		    "return a storage set for the object.");
 
     makePyType(&PyObj_Type, pyobj_getsetters, pyobj_methods);
     deleteListWith(pyobj_getsetters, free); pyobj_getsetters = NULL;
